1. Live Endpoints
PearlPOS
  • Inbound
    • postMasterdata
      POST
    • postPOSdata
      POST
  • Outbound
    • POSLog XSD
    • POSlog
      POST
  • Live Endpoints
    • getCustomers
      GET
    • getCustomerOrders
      GET
    • verifyDigitalArticle
      GET
    • verifyCustomerReference
      GET
    • purchaseDigitalArticle
      POST
    • getRelatedProducts
      GET
    • getSerialNumberVerification
      GET
    • getAvailableValueCodes
      POST
    • getValueCodes
      GET
    • getStockLevels
      GET
    • lookupPrices
      POST
    • lookupMargins
      POST
  • Schemas
    • TransactionType
    • RetailTransactionType
    • LineItemType
    • TransactionLinkType
    • SaleReturnType
    • RetailPriceModifierType
    • ActionAmountType
    • TaxType
    • CustomerInformationType
    • CustomerOrderType
    • TenderLineItemType
    • TenderType
    • AuthorizationType
    • RoundingType
    • VoidsLineItemType
    • PriceModificationType
    • TenderControlTransactionType
    • TillSettleType
    • TenderSummaryType
    • SummaryAmountType
    • ForeignSummaryAmountType
    • TenderLoanType
    • TenderPickupType
    • TotalsType
    • POSLog
  1. Live Endpoints

getRelatedProducts

Developing
GET
/getRelatedProducts
This endpoint shall be implemented by the customer system and called by PearlPOS to search for related articles to an item.

Request

Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/getRelatedProducts?article=undefined&store=undefined&chain=undefined'
Response Response Example
{
    "statusCode": 0,
    "message": "string",
    "relatedProducts": [
        {}
    ]
}
Modified at 2025-12-12 08:58:11
Previous
purchaseDigitalArticle
Next
getSerialNumberVerification
Built with